## ros-rolling-vrpn-mocap 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(vrpn_mocap)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(VRPN REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(eigen3_cmake_module REQUIRED)
find_package(Eigen3 REQUIRED)

add_library(vrpn_mocap src/client.cpp src/tracker.cpp)
target_include_directories(vrpn_mocap PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(vrpn_mocap rclcpp VRPN std_msgs geometry_msgs Eigen3)

install(TARGETS vrpn_mocap
        DESTINATION lib/${PROJECT_NAME})

add_executable(client_node src/client_node.cpp)
target_include_directories(client_node PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
target_link_libraries(client_node vrpn_mocap)

install(TARGETS client_node
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # add rclcpp include dir to ament_cppcheck
  get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS
    rclcpp::rclcpp INTERFACE_INCLUDE_DIRECTORIES)
  ament_lint_auto_find_test_dependencies()
endif()

# install launch directory
install(DIRECTORY launch
        DESTINATION share/${PROJECT_NAME})

#install config directory
install(DIRECTORY config
        DESTINATION share/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-rolling-vrpn-mocap (1.0.4-1jammy) jammy; urgency=high

  * fix readme
  * use node clock (#3 <https://github.com/alvinsunyixiao/vrpn_mocap/issues/3>)
  * cancel ci run on previous push (#2 <https://github.com/alvinsunyixiao/vrpn_mocap/issues/2>)
  * add foxy ci (#1 <https://github.com/alvinsunyixiao/vrpn_mocap/issues/1>)
    * add foxy ci
    * fix package name
    * revert cmake
    * downgrade cmake in CI
    * add rolling and humble CI and badages
  * Contributors: Alvin Sun

 -- Alvin Sun <alvinsunyixiao@gmail.com>  Tue, 25 Apr 2023 07:00:00 -0000

ros-rolling-vrpn-mocap (1.0.3-1jammy) jammy; urgency=high

  * fix header typo
  * Contributors: Alvin Sun

 -- Alvin Sun <alvinsunyixiao@gmail.com>  Tue, 30 Aug 2022 07:00:00 -0000

ros-rolling-vrpn-mocap (1.0.2-1jammy) jammy; urgency=high

  * fix include order to work with both rolling and foxy
  * Contributors: Alvin Sun

 -- Alvin Sun <alvinsunyixiao@gmail.com>  Tue, 30 Aug 2022 07:00:00 -0000

ros-rolling-vrpn-mocap (1.0.1-1jammy) jammy; urgency=high

  * Fix lint errors
  * Contributors: Alvin Sun

 -- Alvin Sun <alvinsunyixiao@gmail.com>  Tue, 30 Aug 2022 07:00:00 -0000

ros-rolling-vrpn-mocap (1.0.0-1jammy) jammy; urgency=high

  * Initial public release of vrpn_mocap
  * Contributors: Alvin Sun

 -- Alvin Sun <alvinsunyixiao@gmail.com>  Mon, 04 Jul 2022 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-vrpn-mocap
Section: misc
Priority: optional
Maintainer: Alvin Sun <alvinsunyixiao@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-eigen3-cmake-module, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-tf2, ros-rolling-vrpn, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-vrpn-mocap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-tf2, ros-rolling-vrpn, ros-rolling-ros-workspace
Description: ROS2 VRPN client built primarily to interface with motion capture devices such as VICON and OptiTrack.
 A detailed list of supported hardware can be found here.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-vrpn-mocap//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
